com.jnape.palatable.lambda.monoid.builtin

## Class Join

- java.lang.Object
- - com.jnape.palatable.lambda.monoid.builtin.Join

- All Implemented Interfaces:
    Fn1<String,Fn1<String,String>>, Fn2<String,String,String>, Applicative<Fn1<String,String>,Fn1<String,?>>, Cartesian<String,Fn1<String,String>,Fn1<?,?>>, Cocartesian<String,Fn1<String,String>,Fn1<?,?>>, Contravariant<String,Profunctor<?,Fn1<String,String>,Fn1<?,?>>>, Functor<Fn1<String,String>,Fn1<String,?>>, Profunctor<String,Fn1<String,String>,Fn1<?,?>>, Monad<Fn1<String,String>,Fn1<String,?>>, MonadReader<String,Fn1<String,String>,Fn1<String,?>>, MonadRec<Fn1<String,String>,Fn1<String,?>>, MonadWriter<String,Fn1<String,String>,Fn1<String,?>>, Monoid<String>, Semigroup<String>

      public final class Join
      extends Object
      implements Monoid<String>

  A `Monoid` instance formed by `String` that concats two strings together.
  See Also:
    `Monoid`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `checkedApply(String x, String y)`
    `String` | `identity()` The identity element of this monoid.
    `static Join` | `join()`
    `static Fn1<String,String>` | `join(String x)`
    `static String` | `join(String x, String y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monoid.Monoid

      `flip, foldLeft, foldMap, foldRight, monoid, monoid, reduceLeft, reduceRight`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### identity

          public String identity()

      Description copied from interface: `Monoid`
      The identity element of this monoid.
      Specified by:
        `identity` in interface `Monoid<String>`
      Returns:
        the identity

    - #### checkedApply

          public String checkedApply(String x,
                                     String y)

      Specified by:
        `checkedApply` in interface `Fn2<String,String,String>`

    - #### join

          public static Join join()

    - #### join

          public static Fn1<String,String> join(String x)

    - #### join

          public static String join(String x,
                                    String y)